package org.cs.mgr.order.dao;

import java.util.Map;

import org.cs.core.dao.IBaseDao;
import org.cs.util.Pager;
import org.cs.mgr.order.model.MgmOrder;

/**
 * 
 * @ClassName: IMgmOrderDao
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:29:02
 */
public interface IMgmOrderDao extends IBaseDao<MgmOrder> {

	Pager queryMgmOrders(Pager page);
	
	public Pager queryMyMgmOrders(Pager page,Long userId);
	
	public Pager getMgmOrdersBySearch(Pager page, Map<String, String> map);

	Pager queryOrderList(Pager page, Map<String, String> map);
	
	public Pager getMgmOrderStatistics(Pager page);
}
